package com.book.command;

import org.axonframework.commandhandling.TargetAggregateIdentifier;

public class UpdateBookCommand {//extends BookCommand {

//	public UpdateBookCommand(Long bookId, String name, int price) {
//		super(bookId, name, price);
//	}
	@TargetAggregateIdentifier
	private final Long bookId;
	private final String bookName;
	private final int price;

	public UpdateBookCommand(Long bookId, String name, int price) {
		this.bookId = bookId;
		this.bookName = name;
		this.price = price;
	}

	public Long getBookId() {
		return bookId;
	}

	public String getBookName() {
		return bookName;
	}

	public int getPrice() {
		return price;
	}
}
