package com.book.event;

public abstract class BookEvent {

	private final Long bookId;
	private final String bookName;
	private final int price;

	public BookEvent(Long bookId, String name, int price) {
		this.bookId = bookId;
		this.bookName = name;
		this.price = price;
	}

	public Long getBookId() {
		return bookId;
	}

	public String getBookName() {
		return bookName;
	}

	public int getPrice() {
		return price;
	}
}
